<?php

include 'conexion.php';
$fk_id_categoria=$_GET['fk_id_categoria'];

$consulta = "select id_campo,nombre,fk_id_categoria from campos where fk_id_categoria = '$fk_id_categoria'";
$resultado = $conexion->query($consulta);

while($fila = $resultado -> fetch_array()){
    $campos[] = array_map('utf8_encode', $fila);
}

echo json_encode($campos);
$resultado -> close();

?>